%define tarname	EnthoughtBase
%define name	python-enthought-enthoughtbase
%define version	3.1.0
%define release	%mkrel 1

%define epoch	1

Summary:	Enthought Tool Suite - EnthoughtBase project
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Epoch:		%{epoch}
Source0: 	http://www.enthought.com/repo/ETS/%{tarname}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://code.enthought.com/projects/enthought_base.php
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	python-setupdocs >= 1.0.5
BuildRequires:	python-setuptools >= 0.6c8
BuildRequires:	python-sphinx
%py_requires -d

%description
The EnthoughtBase project includes a few core packages that are used
by many other projects in the Enthought Tool Suite:

* enthought.etsconfig: Supports configuring settings that need to be shared
  across multiple projects or programs on the same system. Most
  significant of these is the GUI toolkit to be used. You can also
  configure locations for writing application data and user data, and
  the name of the company responsible for the software (which is used
  in the application and user data paths on some systems).
* enthought.logger: Provides convenience functions for creating
  logging handlers.
* enthought.util: Provides miscellaneous utility functions.

%prep
%setup -q -n %{tarname}-%{version}

%build
%__python setup.py build
%__python setup.py build_docs --formats html

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt docs/*.txt examples/ build/docs/html/



%changelog
* Fri Feb 04 2011 Lev Givon <lev@mandriva.org> 1:3.1.0-1
+ Revision: 635891
- Update to 3.1.0.

* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 1:3.0.6-2mdv2011.0
+ Revision: 594087
- rebuld for py 2.7

* Sun Oct 17 2010 Lev Givon <lev@mandriva.org> 1:3.0.6-1mdv2011.0
+ Revision: 586454
- Update to 3.0.6.

* Fri May 28 2010 Lev Givon <lev@mandriva.org> 1:3.0.5-1mdv2011.0
+ Revision: 546523
- Update to 3.0.5.

* Fri Feb 26 2010 Lev Givon <lev@mandriva.org> 1:3.0.4-1mdv2010.1
+ Revision: 512027
- Update to 3.0.4.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 1:3.0.3-2mdv2010.0
+ Revision: 419288
- Add epoch to permit backport and facilitate update from 2009.1.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 3.0.3-1mdv2010.0
+ Revision: 419034
- Update to 3.0.3.

* Fri Apr 03 2009 Lev Givon <lev@mandriva.org> 3.0.2-1mdv2010.0
+ Revision: 363864
- Update to 3.0.2.

* Thu Mar 19 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.1.0-1mdv2009.1
+ Revision: 358003
- Update to latest upstream release and rebuild with python 2.6.

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 3.0.1-2mdv2009.1
+ Revision: 323673
- rebuild

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 313512
- Update to 3.0.1.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 3.0.0-1mdv2009.1
+ Revision: 298825
- import python-enthought-enthoughtbase


